// swiftlint:disable identifier_name type_body_length trailing_comma file_length line_length

/// Enumeration describing available hardware keyboards in the system.
public enum HardwareKeyboard: String, LaunchArgumentValue {

    /// Automatically generated value for hardware keyboard Arabic.
    case Arabic = "ar@hw=Arabic"

    /// Automatically generated value for hardware keyboard Armenian.
    case Armenian = "hy@hw=Armenian-HM QWERTY"

    /// Automatically generated value for hardware keyboard AzerbaijaniLatin.
    case AzerbaijaniLatin = "az_Latn@hw=Azeri"

    /// Automatically generated value for hardware keyboard Bangla.
    case Bangla = "bn@hw=Bangla"

    /// Automatically generated value for hardware keyboard Belarusian.
    case Belarusian = "be@hw=Byelorussian"

    /// Automatically generated value for hardware keyboard BulgarianBulgaria.
    case BulgarianBulgaria = "bg_BG@hw=Bulgarian - Phonetic"

    /// Automatically generated value for hardware keyboard CatalanSpain.
    case CatalanSpain = "ca_ES@hw=Spanish - ISO"

    /// Automatically generated value for hardware keyboard Cherokee.
    case Cherokee = "chr@hw=Cherokee-Nation"

    /// Automatically generated value for hardware keyboard ChineseChina.
    case ChineseChina = "zh_CN@hw=US"

    /// Automatically generated value for hardware keyboard ChineseSimplifiedPinyinRomanization.
    case ChineseSimplifiedPinyinRomanization = "zh_Hans-Pinyin@hw=US"

    /// Automatically generated value for hardware keyboard ChineseSimplifiedSHUANGPIN.
    case ChineseSimplifiedSHUANGPIN = "zh_Hans-Shuangpin@hw=US"

    /// Automatically generated value for hardware keyboard ChineseSimplifiedWUBIHUA.
    case ChineseSimplifiedWUBIHUA = "zh_Hans-Wubihua@hw=US"

    /// Automatically generated value for hardware keyboard ChineseTaiwan.
    case ChineseTaiwan = "zh_TW@hw=Zhuyin Bopomofo"

    /// Automatically generated value for hardware keyboard ChineseTraditionalCANGJIE.
    case ChineseTraditionalCANGJIE = "zh_Hant-Cangjie@hw=CangjieKeyboard"

    /// Automatically generated value for hardware keyboard ChineseTraditionalPinyinRomanization.
    case ChineseTraditionalPinyinRomanization = "zh_Hant-Pinyin@hw=US"

    /// Automatically generated value for hardware keyboard ChineseTraditionalSHUANGPIN.
    case ChineseTraditionalSHUANGPIN = "zh_Hant-Shuangpin@hw=US"

    /// Automatically generated value for hardware keyboard ChineseTraditionalSUCHENG.
    case ChineseTraditionalSUCHENG = "zh_Hant-Sucheng@hw=CangjieKeyboard"

    /// Automatically generated value for hardware keyboard ChineseTraditionalWUBIHUA.
    case ChineseTraditionalWUBIHUA = "zh_Hant-Wubihua@hw=US"

    /// Automatically generated value for hardware keyboard ChineseTraditionalZHUYIN.
    case ChineseTraditionalZHUYIN = "zh_Hant-Zhuyin@hw=Zhuyin Bopomofo"

    /// Automatically generated value for hardware keyboard CroatianCroatia.
    case CroatianCroatia = "hr_HR@hw=Croatian"

    /// Automatically generated value for hardware keyboard CzechCzechia.
    case CzechCzechia = "cs_CZ@hw=Czech"

    /// Automatically generated value for hardware keyboard DanishDenmark.
    case DanishDenmark = "da_DK@hw=Danish"

    /// Automatically generated value for hardware keyboard DutchBelgium.
    case DutchBelgium = "nl_BE@hw=Belgian"

    /// Automatically generated value for hardware keyboard DutchNetherlands.
    case DutchNetherlands = "nl_NL@hw=Dutch"

    /// Automatically generated value for hardware keyboard EnglishAustralia.
    case EnglishAustralia = "en_AU@hw=Australian"

    /// Automatically generated value for hardware keyboard EnglishCanada.
    case EnglishCanada = "en_CA@hw=Canadian"

    /// Automatically generated value for hardware keyboard EnglishIndia.
    case EnglishIndia = "en_IN@hw=US"

    /// Automatically generated value for hardware keyboard EnglishJapan.
    case EnglishJapan = "en_JP@hw=US"

    /// Automatically generated value for hardware keyboard EnglishSingapore.
    case EnglishSingapore = "en_SG@hw=US"

    /// Automatically generated value for hardware keyboard EnglishUnitedKingdom.
    case EnglishUnitedKingdom = "en_GB@hw=British"

    /// Automatically generated value for hardware keyboard EnglishUnitedStates.
    case EnglishUnitedStates = "en_US@hw=US"

    /// Automatically generated value for hardware keyboard EstonianEstonia.
    case EstonianEstonia = "et_EE@hw=Estonian"

    /// Automatically generated value for hardware keyboard FinnishFinland.
    case FinnishFinland = "fi_FI@hw=Finnish"

    /// Automatically generated value for hardware keyboard FrenchBelgium.
    case FrenchBelgium = "fr_BE@hw=French"

    /// Automatically generated value for hardware keyboard FrenchCanada.
    case FrenchCanada = "fr_CA@hw=Canadian - CSA"

    /// Automatically generated value for hardware keyboard FrenchFrance.
    case FrenchFrance = "fr_FR@hw=French"

    /// Automatically generated value for hardware keyboard FrenchSwitzerland.
    case FrenchSwitzerland = "fr_CH@hw=Swiss French"

    /// Automatically generated value for hardware keyboard Georgian.
    case Georgian = "ka@hw=Georgian-QWERTY"

    /// Automatically generated value for hardware keyboard GermanAustria.
    case GermanAustria = "de_AT@hw=German"

    /// Automatically generated value for hardware keyboard GermanGermany.
    case GermanGermany = "de_DE@hw=German"

    /// Automatically generated value for hardware keyboard GermanSwitzerland.
    case GermanSwitzerland = "de_CH@hw=Swiss German"

    /// Automatically generated value for hardware keyboard GreekGreece.
    case GreekGreece = "el_GR@hw=Greek"

    /// Automatically generated value for hardware keyboard Gujarati.
    case Gujarati = "gu@hw=Gujarati"

    /// Automatically generated value for hardware keyboard Hawaiian.
    case Hawaiian = "haw@hw=Hawaiian"

    /// Automatically generated value for hardware keyboard HebrewIsrael.
    case HebrewIsrael = "he_IL@hw=Hebrew"

    /// Automatically generated value for hardware keyboard Hindi.
    case Hindi = "hi@hw=Devanagari"

    /// Automatically generated value for hardware keyboard HindiLatin.
    case HindiLatin = "hi_Latn@hw=US"

    /// Automatically generated value for hardware keyboard HindiTRANSLIT.
    case HindiTRANSLIT = "hi-Translit@hw=US"

    /// Automatically generated value for hardware keyboard HungarianHungary.
    case HungarianHungary = "hu_HU@hw=Hungarian"

    /// Automatically generated value for hardware keyboard IcelandicIceland.
    case IcelandicIceland = "is_IS@hw=Icelandic"

    /// Automatically generated value for hardware keyboard IndonesianIndonesia.
    case IndonesianIndonesia = "id_ID@hw=US"

    /// Automatically generated value for hardware keyboard IrishIreland.
    case IrishIreland = "ga_IE@hw=British"

    /// Automatically generated value for hardware keyboard ItalianItaly.
    case ItalianItaly = "it_IT@hw=Italian - Pro"

    /// Automatically generated value for hardware keyboard JapaneseJapanKANA.
    case JapaneseJapanKANA = "ja_JP-Kana@hw=US"

    /// Automatically generated value for hardware keyboard JapaneseJapanROMAJI.
    case JapaneseJapanROMAJI = "ja_JP-Romaji@hw=US"

    /// Automatically generated value for hardware keyboard Kannada.
    case Kannada = "kn@hw=Kannada"

    /// Automatically generated value for hardware keyboard KoreanSouthKorea.
    case KoreanSouthKorea = "ko_KR@hw=2SetHangul"

    /// Automatically generated value for hardware keyboard LatvianLatvia.
    case LatvianLatvia = "lv_LV@hw=Latvian"

    /// Automatically generated value for hardware keyboard LithuanianLithuania.
    case LithuanianLithuania = "lt_LT@hw=Lithuanian"

    /// Automatically generated value for hardware keyboard MacedonianMacedonia.
    case MacedonianMacedonia = "mk_MK@hw=Macedonian"

    /// Automatically generated value for hardware keyboard MalayMalaysia.
    case MalayMalaysia = "ms_MY@hw=US"

    /// Automatically generated value for hardware keyboard Malayalam.
    case Malayalam = "ml@hw=Malayalam"

    /// Automatically generated value for hardware keyboard Maori.
    case Maori = "mi@hw=Maori"

    /// Automatically generated value for hardware keyboard Marathi.
    case Marathi = "mr@hw=Devanagari-QWERTY"

    /// Automatically generated value for hardware keyboard NajdiArabic.
    case NajdiArabic = "ars@hw=Arabic"

    /// Automatically generated value for hardware keyboard NorwegianBokmålNorway.
    case NorwegianBokmålNorway = "nb_NO@hw=Norwegian"

    /// Automatically generated value for hardware keyboard Odia.
    case Odia = "or@hw=Oriya"

    /// Automatically generated value for hardware keyboard Persian.
    case Persian = "fa@hw=Persian-ISIRI 2901"

    /// Automatically generated value for hardware keyboard PolishPoland.
    case PolishPoland = "pl_PL@hw=Polish Pro"

    /// Automatically generated value for hardware keyboard PortugueseBrazil.
    case PortugueseBrazil = "pt_BR@hw=Brazilian - Pro"

    /// Automatically generated value for hardware keyboard PortuguesePortugal.
    case PortuguesePortugal = "pt_PT@hw=Portuguese"

    /// Automatically generated value for hardware keyboard Punjabi.
    case Punjabi = "pa@hw=Gurmukhi"

    /// Automatically generated value for hardware keyboard RomanianRomania.
    case RomanianRomania = "ro_RO@hw=Romanian"

    /// Automatically generated value for hardware keyboard RussianRussia.
    case RussianRussia = "ru_RU@hw=Russian"

    /// Automatically generated value for hardware keyboard SerbianCyrillic.
    case SerbianCyrillic = "sr_Cyrl@hw=Serbian"

    /// Automatically generated value for hardware keyboard SerbianLatin.
    case SerbianLatin = "sr_Latn@hw=Serbian-Latin"

    /// Automatically generated value for hardware keyboard SlovakSlovakia.
    case SlovakSlovakia = "sk_SK@hw=Slovak"

    /// Automatically generated value for hardware keyboard SlovenianSlovenia.
    case SlovenianSlovenia = "sl_SI@hw=Slovenian"

    /// Automatically generated value for hardware keyboard SpanishLatinAmerica.
    case SpanishLatinAmerica = "es_419@hw=Spanish - ISO"

    /// Automatically generated value for hardware keyboard SpanishMexico.
    case SpanishMexico = "es_MX@hw=Spanish - ISO"

    /// Automatically generated value for hardware keyboard SpanishSpain.
    case SpanishSpain = "es_ES@hw=Spanish - ISO"

    /// Automatically generated value for hardware keyboard Swahili.
    case Swahili = "sw@hw=US"

    /// Automatically generated value for hardware keyboard SwedishSweden.
    case SwedishSweden = "sv_SE@hw=Swedish - Pro"

    /// Automatically generated value for hardware keyboard TagalogPhilippines.
    case TagalogPhilippines = "tl_PH@hw=Spanish - ISO"

    /// Automatically generated value for hardware keyboard Telugu.
    case Telugu = "te@hw=Telugu"

    /// Automatically generated value for hardware keyboard ThaiThailand.
    case ThaiThailand = "th_TH@hw=Thai"

    /// Automatically generated value for hardware keyboard Tibetan.
    case Tibetan = "bo@hw=Tibetan-QWERTY"

    /// Automatically generated value for hardware keyboard TurkishTurkey.
    case TurkishTurkey = "tr_TR@hw=Turkish-QWERTY-PC"

    /// Automatically generated value for hardware keyboard UkrainianUkraine.
    case UkrainianUkraine = "uk_UA@hw=Ukrainian"

    /// Automatically generated value for hardware keyboard Urdu.
    case Urdu = "ur@hw=Urdu"

    /// Automatically generated value for hardware keyboard VietnameseVietnam.
    case VietnameseVietnam = "vi_VN@hw=US"

    /// Automatically generated value for hardware keyboard WelshUnitedKingdom.
    case WelshUnitedKingdom = "cy_GB@hw=British"
}
